#
# spec file for package squid-beta (Version 2.4.STABLE2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  cyrus-sasl openldap2 openldap2-client openldap2-devel openssl openssl-devel sgmltool sharutils sp sp-devel tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sgmltool sh-utils shadow sharutils sp sp-devel strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         squid-beta
Summary:      Squid V2.4 WWW proxy server (new version)
Version:      2.4.STABLE2
Release:      75
Copyright:    (C) 2001 by Duane Wessels, University of California, San Diego (UCSD)
Group:        Networking/Daemons
Provides:     http_proxy
Conflicts:    squid squid2 squid23
Autoreqprov:  on
Source:       squid-%{version}-src.tar.bz2
%define       squid_ldapauth_version 1.3
Source1:      squid_ldapauth-%{squid_ldapauth_version}.tar.bz2
Source2:      rc.squid
Source3:      rc.config.squid
Source4:      README.SuSE
Source5:      pam.squid
Patch:        squid-%{version}.dif
Patch1:       squid_ldapauth-%{squid_ldapauth_version}.dif
Patch2:       secfix.dif

%description
Squid V2.4 WWW proxy server (new version)

Authors:
--------
    Duane Wessels <wessels@ircache.net>

SuSE series: n

%prep
%setup -n squid-%{version} -a 1
%patch -p1
%patch2 -p0
cd squid_ldapauth*
%patch1

%build
CFLAGS='-Wall -O2 -pipe'
LDFLAGS=' '
ulimit -n 4096
./configure --prefix=/usr --sysconfdir=/etc --bindir=/usr/sbin \
	--localstatedir=/var/squid --libexecdir=/usr/sbin \
	--datadir=/usr/share/squid --sharedstatedir=/var/squid \
	--enable-snmp --enable-htcp --enable-delay-pools
make
make -C squid_ldapauth-%{squid_ldapauth_version}
make -C auth_modules/PAM
make -C auth_modules/NCSA
make -C auth_modules/YP
#make -C doc/Programming-Guide

%install
mkdir -p /var/squid/{cache,logs}
make install
make install -C auth_modules/PAM
make install -C auth_modules/NCSA
make install -C auth_modules/YP
chown squid.root -R /var/squid
chmod 700 /var/squid
install %{SOURCE2} /etc/init.d/squid
ln -sf ../../etc/init.d/squid /usr/sbin/rcsquid
mkdir -p /var/adm/fillup-templates
install -m 644 %{SOURCE3} /var/adm/fillup-templates
install -d -m 755 doc/scripts
install scripts/*.pl doc/scripts
mv /usr/sbin/cachemgr.cgi doc/scripts
install -d -m 755 doc/contrib
install contrib/*.pl doc/contrib
#rm doc/Programming-Guide/Makefile
install -m 644 %{SOURCE4} .
install -m 644 %{SOURCE5} /etc/pam.d/squid
chown squid.shadow /usr/sbin/pam_auth
chmod g+s /usr/sbin/pam_auth
cd squid_ldapauth-%{squid_ldapauth_version}
install -m 750 -osquid -groot squid_ldapauth /usr/sbin
cp README ../README.squid_ldapauth
cp CREDITS ../CREDITS.squid_ldapauth
cp squid_ldapauth.conf ..

%pre
if [ -e usr/share/squid/errors ]; then
  #echo -n "warning: "
  usr/bin/old usr/share/squid/errors
fi

%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.squid
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.squid and"
  echo "update by hand."
fi
sbin/insserv etc/init.d/squid

%postun
sbin/insserv etc/init.d/

%files
%dir /var/squid/cache
%dir /var/squid/logs
%dir /usr/share/squid
%config(noreplace) /etc/squid.conf
%config /etc/pam.d/squid
%config /etc/init.d/squid
%config /usr/share/squid/mib.txt
%config /usr/share/squid/mime.conf
/var/adm/fillup-templates/rc.config.squid
/usr/sbin/RunAccel
/usr/sbin/RunCache
/usr/sbin/client
/usr/sbin/rcsquid
/usr/sbin/squid
/usr/sbin/unlinkd
/usr/sbin/pam_auth
/usr/sbin/ncsa_auth
/usr/sbin/yp_auth
/usr/sbin/squid_ldapauth
/usr/share/squid/errors
/usr/share/squid/icons
%doc CONTRIBUTORS COPYING COPYRIGHT CREDITS
%doc ChangeLog QUICKSTART README README.SuSE TODO
%doc doc/HTTP-codes.txt doc/draft-vixie-htcp-proto-04.txt
%doc doc/contrib doc/scripts doc/Programming-Guide 
%doc errors doc/debug-sections.txt src/squid.conf
%doc README.squid_ldapauth CREDITS.squid_ldapauth
%doc squid_ldapauth.conf

%changelog -n squid-beta
* Fri Oct 05 2001 - bjacke@suse.de
- fix security hole where squid could be crashed by certain requests
* Tue Sep 04 2001 - bodammer@suse.de
- specfile fix: install /etc/squid.conf with noreplace [Bug #10023]
* Wed Aug 29 2001 - bodammer@suse.de
- update to squid-2.4.STABLE2
* Fri Aug 24 2001 - ro@suse.de
- removed /lib/security path from pam.d config file
* Thu Aug 16 2001 - bodammer@suse.de
- initscript and textfiles moved away from squid-2.4.STABLE1.dif
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Thu May 10 2001 - bodammer@suse.de
- initscript fix: don't start squid in runlevel 2 [bug #7956]
* Wed May 09 2001 - cstein@suse.de
- repacked the two tar archives with bzip2 (xzip)
* Thu Apr 19 2001 - bodammer@suse.de
- new patch from www.squid-cache.org applied
* Tue Apr 17 2001 - bodammer@suse.de
- initscript fix: check for running squid before creating cache-dir
* Thu Apr 05 2001 - bodammer@suse.de
- patches from www.squid-cache.org applied
* Thu Apr 05 2001 - bodammer@suse.de
- squid.conf: allow localhost access to squid by default
- initscript: ulimit -n 4096 added to increase filedescriptors
- cachemgr.cgi moved to doc/scripts
- build of Programming-Guide removed from specfile
* Fri Mar 30 2001 - bodammer@suse.de
- initscript-fix: $named added for required startup
* Wed Mar 28 2001 - bodammer@suse.de
- new initscript more LSB conform
* Thu Mar 22 2001 - bodammer@suse.de
- update to squid-2.4.STABLE1
* Mon Mar 19 2001 - bodammer@suse.de
- update to squid-2.4.PRE-STABLE2
* Fri Mar 16 2001 - kukuk@suse.de
- Remove bogus requires
* Thu Mar 15 2001 - ro@suse.de
- changed for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Tue Feb 13 2001 - bodammer@suse.de
- pam_auth: permissions changed to sgid shadow
* Mon Jan 22 2001 - bodammer@suse.de
- initial package squid-2.4 (version squid-2.4.PRE-STABLE)
